Api key provided on integrations tab in Easyflow platform.
List customers
Returns a list of customers.
Headers
x-api-keystringrequiredx-api-secretstringrequiredApi Secret provided on integrations tab in Easyflow platform.
business-idstringrequiredBusiness Identifier
Query parameters
emailstringReturns customers whose email is exactly this value, ignoring case. Characters with a special meaning in regular expressions, such as
.,+,*or(, are not escaped and change the comparison, so a value with them can return other customers or none. A value that is not a valid regular expression returns500.documentNumberstringnamestringReturns customers whose name is exactly this value, ignoring case. Characters with a special meaning in regular expressions, such as
.,+,*or(, are not escaped and change the comparison, so a value with them can return other customers or none. A value that is not a valid regular expression, such as an unmatched(, returns500.fieldstringFree search. Matches part of the name or email (ignoring case), part of the document number (digits only) or the customer id.
createdAt[startsAt]stringcreatedAt[endsAt]stringupdatedAt[startsAt]stringupdatedAt[endsAt]stringpageintegerPage number. Defaults to 1.
limitintegerNumber of items per page. Defaults to 25.
Responses
200Returns a list of customers.
Returns a list of customers.
Content typeapplication/jsonobject
statusCodeintegerdataobjectShow child attributesHide child attributes
docsarray of objectsShow child attributesHide child attributes
idstringcreatedAtstringupdatedAtstringdeletedAtstringdeletedbooleannamestringbusinessIdstringuserIdstringemailstringphoneobjectShow child attributesHide child attributes
areaCodestringdddstringnumberstringisMobileboolean
addressobjectShow child attributesHide child attributes
zipCodestringstreetstringnumberstringcomplementstringneighborhoodstringcitystringstatestringThe state must send an abbreviation (Example: sp)
deliveryAddressobjectShow child attributesHide child attributes
zipCodestringstreetstringnumberstringcomplementstringneighborhoodstringcitystringstatestringThe state must send an abbreviation (Example: sp)
documentobjectShow child attributesHide child attributes
typestringnumberstring
limitintegercurrentPageintegerhasNextbooleannextPageintegernullabletotalDocsintegertotalPagesinteger
400If the provided parameter is invalid, the API will return the following error response:
If the provided parameter is invalid, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid param: []
errorstringBad Request
statusCodeinteger400
errorCodestringCode that identifies the error. Present only on some errors.
401If the request is unauthorized, the API will return the following error response:
If the request is unauthorized, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid field
errorstringUnauthorized
statusCodeinteger401
403If the request is forbidden, the API will return the following error response:
If the request is forbidden, the API will return the following error response:
Content typeapplication/jsonobject
messagestringForbidden resource
errorstringForbidden
statusCodeinteger403
500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
Content typeapplication/jsonobject
statusCodeintegerHTTP status code.
messagestringExplanation of the error.